<?php
/*
[
Plugin Name: MTG Cards
Version: 0.20100429
Plugin URI: http://www.grocal.pl
Author: grocal
Author URI: http://www.grocal.pl
Description: Change the special tag [mtg]Card Name[/mtg] to clickable link to gatherer.wizards.com.
*
*/


function grocal_mtg_set_init()
{
	wp_register_script('jqueryt', WP_PLUGIN_URL . '/grocal_mtg/jquery.qtip-1.0.0-rc3.min.js');
	wp_register_script('grocalshowcard', WP_PLUGIN_URL . '/grocal_mtg/grocal_mtg_showcard.js');
	wp_enqueue_script('jqueryt');
	wp_enqueue_script('grocalshowcard');	
}


function grocal_mtg_generate_link($cardname)
{
    return '<a class="grocal_magiccard" rel="'.str_replace('"','',$cardname).'" href="#" >'.$cardname.'</a>';
}


function grocal_mtg_setlink( $text, $encode_everything = 1 )
{
	$text = ' ' . $text . ' ';
	
	$text = preg_replace ('/\[mtg\](.*?)\[\/mtg\]/ies', 'grocal_mtg_generate_link("$1")', $text);

    return substr($text,1,strlen($text)-2);
}
add_action('init', 'grocal_mtg_set_init');
add_filter('the_content', 'grocal_mtg_setlink', 16);
add_filter('the_excerpt', 'grocal_mtg_setlink', 16);
# add_action('wp_head', 'grocal_mtg_set_head', 16);
?>